View Issue Details

IDProjectCategoryView StatusLast Update
0005489CentOS-5opensslpublic2012-02-13 17:15
Reporteraccretor 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSCentOSOS Version5.7
Product Version5.7 
Target VersionFixed in Version 
Summary0005489: Conflict in installing openssl.i686 and openssl.x86_64
DescriptionIt is not possible to install both openssl.i686 and openssl.x86_64 due to a conflict in man pages between the packages.

Specific information:

root@lush1 [~]# rpm -qa openssl\*
openssl-0.9.8e-20.el5_7.1

root@lush1 [~]# yum install openssl.i686
...
...some information clipped...
...
 Package Arch Version Repository Size
========================================================================================================================================
Installing:
 openssl i686 0.9.8e-20.el5_7.1 updates 1.4 M

...
...some information clipped...
...
Transaction Check Error:
  file /usr/share/man/man1/ca.1ssl.gz from install of openssl-0.9.8e-20.el5_7.1.i686 conflicts with file from package openssl-0.9.8e-20.el5_7.1.x86_64
  file /usr/share/man/man1/req.1ssl.gz from install of openssl-0.9.8e-20.el5_7.1.i686 conflicts with file from package openssl-0.9.8e-20.el5_7.1.x86_64
  file /usr/share/man/man1/x509.1ssl.gz from install of openssl-0.9.8e-20.el5_7.1.i686 conflicts with file from package openssl-0.9.8e-20.el5_7.1.x86_64

With the assistance of a member of the #centos channel, it was confirmed that this problem affects his installation as well as my own. We therefore believe this is not a problem with a specific install but with the packages in question.
Steps To Reproduce1. install openssl-0.9.8e-20.el5_7.1.x86_64
2. install openssl-0.9.8e-20.el5_7.1.i686
Additional InformationI'm not sure I have filled out all the information correctly. I am not an expert here. If I have made any mistakes in this submission, your help would be appreciated in ensuring that it is corrected.

I will do my best to provide any additional assistance I can in resolving this issue.

I hope I am not submitting a duplicate, but I do not see any effective way to search existing issues -- I'm sure I must be missing something in the interface.
TagsNo tags attached.

Activities

athmane

athmane

2012-02-03 13:53

developer   ~0014396

This issue was detected during automated tests, new packages were released to fix this issue (02-Feb-2012):

The conflict happened because of size differences between x86_64 and i686

S.5.......T /usr/share/man/man1/ca.1ssl.gz
S.5.......T /usr/share/man/man1/req.1ssl.gz
S.5.......T /usr/share/man/man1/x509.1ssl.gz

The new one are OK:

<snip>
..........T /usr/share/doc/openssl-0.9.8e
..........T /usr/share/doc/openssl-0.9.8e/README
..........T /usr/share/doc/openssl-0.9.8e/README.FIPS
..........T /usr/share/man/man1/asn1parse.1ssl.gz
..........T /usr/share/man/man1/ca.1ssl.gz
..........T /usr/share/man/man1/ciphers.1ssl.gz
..........T /usr/share/man/man1/crl.1ssl.gz
..........T /usr/share/man/man1/crl2pkcs7.1ssl.gz
..........T /usr/share/man/man1/dgst.1ssl.gz
..........T /usr/share/man/man1/dhparam.1ssl.gz
..........T /usr/share/man/man1/dsa.1ssl.gz
..........T /usr/share/man/man1/dsaparam.1ssl.gz
..........T /usr/share/man/man1/ec.1ssl.gz
..........T /usr/share/man/man1/ecparam.1ssl.gz
..........T /usr/share/man/man1/enc.1ssl.gz
..........T /usr/share/man/man1/errstr.1ssl.gz
..........T /usr/share/man/man1/gendsa.1ssl.gz
..........T /usr/share/man/man1/genrsa.1ssl.gz
..........T /usr/share/man/man1/md2.1ssl.gz
..........T /usr/share/man/man1/md4.1ssl.gz
..........T /usr/share/man/man1/md5.1ssl.gz
..........T /usr/share/man/man1/mdc2.1ssl.gz
..........T /usr/share/man/man1/nseq.1ssl.gz
..........T /usr/share/man/man1/ocsp.1ssl.gz
..........T /usr/share/man/man1/openssl.1ssl.gz
..........T /usr/share/man/man1/pkcs12.1ssl.gz
..........T /usr/share/man/man1/pkcs7.1ssl.gz
..........T /usr/share/man/man1/pkcs8.1ssl.gz
..........T /usr/share/man/man1/req.1ssl.gz
..........T /usr/share/man/man1/ripemd160.1ssl.gz
..........T /usr/share/man/man1/rsa.1ssl.gz
..........T /usr/share/man/man1/rsautl.1ssl.gz
..........T /usr/share/man/man1/s_client.1ssl.gz
..........T /usr/share/man/man1/s_server.1ssl.gz
..........T /usr/share/man/man1/s_time.1ssl.gz
..........T /usr/share/man/man1/sess_id.1ssl.gz
..........T /usr/share/man/man1/sha.1ssl.gz
..........T /usr/share/man/man1/sha1.1ssl.gz
..........T /usr/share/man/man1/smime.1ssl.gz
..........T /usr/share/man/man1/speed.1ssl.gz
..........T /usr/share/man/man1/spkac.1ssl.gz
..........T /usr/share/man/man1/sslpasswd.1ssl.gz
..........T /usr/share/man/man1/sslrand.1ssl.gz
..........T /usr/share/man/man1/verify.1ssl.gz
..........T /usr/share/man/man1/version.1ssl.gz
..........T /usr/share/man/man1/x509.1ssl.gz
..........T /usr/share/man/man5/config.5ssl.gz
..........T /usr/share/man/man5/x509v3_config.5ssl.gz
..........T /usr/share/man/man7/des_modes.7ssl.gz
wolfy

wolfy

2012-02-03 15:23

developer   ~0014397

The new packages do solve the issue but for the people who already installed the older openssl-0.9.8e-20.el5_7.1.x86_64 ( build 25 Jan ) a yum reinstall is needed prior to doing anything related to the i686 package.
toracat

toracat

2012-02-03 18:30

manager   ~0014398

The situation described by wolfy is probably not uncommon. What is the best possible solution? Document it in very visible places (wiki FAQ, M/L, forums etc) ? Or rebuild openssl with a higher EVR ?
TomWork

TomWork

2012-02-06 06:49

reporter   ~0014407

Hey guys,

I found this issue because we are using koji (fedora's RPM factory) in-house and today it whinges because this RPM has changed signature but has the same NVR than last week.

So please rebuild it with a new release number otherwise you break all koji instance building centos package. And even worse as wolfy said, people will have to yum reinstall to get the latest and we all know that nobody will.

Finally it will make people fret about a possible security issue especially when we are talking about openssl.

Please rebuild with a newer release. Thanks.
Thomas
JohnnyHughes

JohnnyHughes

2012-02-07 12:38

administrator   ~0014417

I have rebuilt and released a new version of openssl for this issue that should fix the problem. The only hesitation here was that it required me to actually edit the spec file and not just change a dist tag ... something that we only do at the CentOS project as a last resort (goal is only to change for removing branding).

My new files, based on openssl-0.9.8e-20.el5_7.1.0.1.centos.src.rpm are syncing to the mirrors now.
JohnnyHughes

JohnnyHughes

2012-02-07 12:42

administrator   ~0014418

I will close this bug once I receive feedback that this takes care of the issue.
toracat

toracat

2012-02-07 16:15

manager   ~0014420

Within my limited test set, I confirm the latest version solves the problem.
TomWork

TomWork

2012-02-12 23:57

reporter   ~0014458

Hi Johnny,

I confirm it is _fixed_. You can resolve.
Thanks for your quick action.

Thomas

Issue History

Date Modified Username Field Change
2012-02-03 12:28 accretor New Issue
2012-02-03 13:37 toracat Status new => acknowledged
2012-02-03 13:53 athmane Note Added: 0014396
2012-02-03 15:23 wolfy Note Added: 0014397
2012-02-03 18:30 toracat Note Added: 0014398
2012-02-06 06:49 TomWork Note Added: 0014407
2012-02-07 12:38 JohnnyHughes Note Added: 0014417
2012-02-07 12:42 JohnnyHughes Note Added: 0014418
2012-02-07 12:42 JohnnyHughes Status acknowledged => feedback
2012-02-07 16:15 toracat Note Added: 0014420
2012-02-12 23:57 TomWork Note Added: 0014458
2012-02-13 17:15 JohnnyHughes Status feedback => closed
2012-02-13 17:15 JohnnyHughes Resolution open => fixed